# Forms

As the name already says, the Forms-module offers the possibility to digitize forms.

The module is separated into different components so that information about user input fields and the actual sent messages are strictly separated.

[FormFields](/api-reference/forms/form-fields.md) and its related [FormFieldTypes](/api-reference/forms/form-field-types.md) describe, which data should be recorded in which kind of way. `Forms` are a collection of [FormFields](/api-reference/forms/form-fields.md) and keep general settings like recipients and options.

[FormFieldValidations](/api-reference/forms/form-field-validations.md) and the underlying configurations provided by [FormFieldValidationTypes](/api-reference/forms/form-field-validation-types.md) are used to provide validation constraints on [FormFields](/api-reference/forms/form-fields.md) that end users have to pass.

The information about actual submitted `FormField` values is stored in [FormMessageFields](/api-reference/forms/form-message-fields.md) which are related to [FormMessages](/api-reference/forms/form-messages.md). Every [FormMessage](/api-reference/forms/form-messages.md) is a result of parsed [FormMessageField](/api-reference/forms/form-message-fields.md) values.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/forms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
